com.lowagie.text.pdf.collection

## Class PdfCollectionItem

- java.lang.Object
- - com.lowagie.text.pdf.PdfObject
  - - com.lowagie.text.pdf.PdfDictionary
    - - com.lowagie.text.pdf.collection.PdfCollectionItem

-     public class PdfCollectionItem
      extends PdfDictionary

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) PdfCollectionSchema` | `schema` The PdfCollectionSchema with the names and types of the items.

    - ### Fields inherited from class com.lowagie.text.pdf.PdfDictionary

      `CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

    - ### Fields inherited from class com.lowagie.text.pdf.PdfObject

      `ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfCollectionItem(PdfCollectionSchema schema)` Constructs a Collection Item that can be added to a PdfFileSpecification.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(java.lang.String key, java.util.Calendar c)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, double d)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, float f)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, int i)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, PdfDate d)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, PdfNumber n)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, PdfString value)` Sets the value of the collection item.
    `void` | `addItem(java.lang.String key, java.lang.String value)` Sets the value of the collection item.
    `void` | `setPrefix(java.lang.String key, java.lang.String prefix)` Adds a prefix for the Collection item.

    - ### Methods inherited from class com.lowagie.text.pdf.PdfDictionary

      `contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size, toPdf, toString`

    - ### Methods inherited from class com.lowagie.text.pdf.PdfObject

      `canBeInObjStm, getBytes, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### schema

          PdfCollectionSchema schema

      The PdfCollectionSchema with the names and types of the items.

  - ### Constructor Detail

    - #### PdfCollectionItem

          public PdfCollectionItem(PdfCollectionSchema schema)

      Constructs a Collection Item that can be added to a PdfFileSpecification.

  - ### Method Detail

    - #### addItem

          public void addItem(java.lang.String key,
                     java.lang.String value)

      Sets the value of the collection item.
      Parameters:
        `value` -

    - #### addItem

          public void addItem(java.lang.String key,
                     PdfString value)

      Sets the value of the collection item.
      Parameters:
        `value` -

    - #### addItem

          public void addItem(java.lang.String key,
                     PdfDate d)

      Sets the value of the collection item.
      Parameters:
        `d` -

    - #### addItem

          public void addItem(java.lang.String key,
                     PdfNumber n)

      Sets the value of the collection item.
      Parameters:
        `n` -

    - #### addItem

          public void addItem(java.lang.String key,
                     java.util.Calendar c)

      Sets the value of the collection item.
      Parameters:
        `c` -

    - #### addItem

          public void addItem(java.lang.String key,
                     int i)

      Sets the value of the collection item.
      Parameters:
        `i` -

    - #### addItem

          public void addItem(java.lang.String key,
                     float f)

      Sets the value of the collection item.
      Parameters:
        `f` -

    - #### addItem

          public void addItem(java.lang.String key,
                     double d)

      Sets the value of the collection item.
      Parameters:
        `d` -

    - #### setPrefix

          public void setPrefix(java.lang.String key,
                       java.lang.String prefix)

      Adds a prefix for the Collection item. You can only use this method after you have set the value of the item.
      Parameters:
        `prefix` - a prefix